#ifndef STATE_H_INCL
#define STATE_H_INCL


class State
{
protected:
    UINT32 mFPS;

public:
    State() : mFPS(5) {}
    virtual ~State() {}

    UINT32 getUpdateFPS() { return mFPS; }

    virtual INT update(UINT32 tick, KeyEventList &keyEvents) = 0;
    virtual void render(SDL_Surface *screen) = 0;

    virtual void onActivate(UINT32 /*tick*/) {}
    virtual void onDeactivate() {}
};


#endif // !STATE_H_INCL
