#ifndef MAIN_H_INCL
#define MAIN_H_INCL


#include <list>
#include "SDL.h"
#include "SDL_opengl.h"
#include "types.h"
#include "errormsg.h"
#include "gfx.h"


#define WIDTH   800
#define HEIGHT  600

#define VERSION_STR "1.0.1"

#undef PI
#define PI 3.1415926535897932

#define BLURMIX(a,b,n) ((a) * ((n) - 1) + (b)) / (n)

inline static FLOAT clamp(FLOAT x, FLOAT a, FLOAT b)
{
    return x < a ? a : (x > b ? b : x);
}


typedef std::list<SDLKey> KeyEventList;


enum MAINSTATE
{
    MS_GAME = 1,
};


extern void setMainState(MAINSTATE state);
//extern UINT32 getAppTime();


#endif // !MAIN_H_INCL
