#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

#include "errormsg.h"


static void errorBox(char *title, char *msg, va_list ap)
{
#ifdef WIN32
    char s[1000];
    vsprintf(s,msg,ap);
    MessageBox(0, s, title, MB_OK | MB_APPLMODAL | MB_ICONEXCLAMATION);
#else
    fflush(stderr);
    fflush(stdout);
    fprintf(stderr, "\n%s: ", msg1);
    vfprintf(stderr, msg2, ap);
    fprintf(stderr, "\n");
    fflush(stderr);
#endif
}


void errorMessage(char *title, char *msg, ...)
{
    va_list ap;
    va_start(ap, msg);
    errorBox(title, msg, ap);
}
